Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management
Class ContainerManagement

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.management.ContainerManagement

All Implemented Interfaces:
  ContainerManagementMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class ContainerManagement
extends ServiceMBeanSupport
implements ContainerManagementMBean

A ContainerMgt is used as the long arm of a deployed EJB's container.

Version:
  $Revision: 1.1.2.2 $
Author:
  Andreas Schaefer (andreas.schaefer@madplanet.com)
See Also:
  `Container`

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`ContainerManagement(Container pContainer)`

Method Summary
`void` | `destroyService()` Implements the template method in superclass.
`Container` | `getContainer()`
`java.lang.String` | `getName()` Implements the abstract `getName()` method in superclass to return the name of this object.
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)` Implements the abstract `getObjectName()` method in superclass to return this service's name.
`void` | `stopService()` Implements the template method in superclass.

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### ContainerManagement

    public ContainerManagement(Container pContainer)

Method Detail

### getContainer

    public Container getContainer()

  Specified by:
    `getContainer` in interface `ContainerManagementMBean`
  Following copied from interface: `org.jboss.management.ContainerManagementMBean`
  Returns:
    Container this is a proxy for

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Implements the abstract `getObjectName()` method in superclass to return this service's name.
  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`
  Parameters:
    `server` -
    `name` -
  Returns:
  Throws:
    `MalformedObjectNameException` -

### getName

    public java.lang.String getName()

  Implements the abstract `getName()` method in superclass to return the name of this object.
  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`
  Returns:
    `'Container factory'`

### stopService

    public void stopService()

  Implements the template method in superclass. This method stops all the applications in this server.
  Overrides:
    `stopService` in class `ServiceMBeanSupport`

### destroyService

    public void destroyService()

  Implements the template method in superclass. This method destroys all the applications in this server and clears the deployments list.
  Overrides:
    `destroyService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.